CREATE OR REPLACE PROCEDURE CANCELA_APROV_PLANAPREINF
(
P_CDFILIAL IN VARCHAR2,
P_NRPLANAPREINF IN NUMBER,
P_CDOPERADOR IN VARCHAR2,
P_NRORG IN NUMBER,
P_NRLISTAERROS OUT NUMBER
) 
AS
  V_IDSITUACAO VARCHAR2(30);
BEGIN

   SELECT MAX(IDSITUACAO)
     INTO V_IDSITUACAO
     FROM PLANAPREINF
    WHERE CDFILIAL = P_CDFILIAL
      AND NRPLANAPREINF = P_NRPLANAPREINF;

   IF V_IDSITUACAO IS NULL THEN
      RETURN;
   END IF;

   IF V_IDSITUACAO <> 'APROVADO' THEN
      /*Operao bloqueada. Planejamento [NRPLANAPREINF] no est aprovado.*/
      RAISE_APPLICATION_ERROR(-20501, 'APPERRMSGSTR' || 'APP-00134' || '$$' || 
                                       TO_CHAR(P_NRPLANAPREINF)
                                       || 'APPERRMSGEND');
   END IF;

   CANCELA_PLANAPREINF_CKLISTS(P_CDFILIAL, P_NRPLANAPREINF, P_CDOPERADOR, P_NRORG, P_NRLISTAERROS);


   /*Cancela aprovao o planejamento de apresentao/cheftable*/
   UPDATE PLANAPREINF
      SET IDSITUACAO = 'PENDENTE',
          NRORGULTATU = P_NRORG,
          CDOPERULTATU = P_CDOPERADOR,
          DTULTATU = SYSDATE
    WHERE CDFILIAL = P_CDFILIAL
      AND NRPLANAPREINF = P_NRPLANAPREINF;
END;
/