/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATUTP_TIPOPAGTO                                              */
/* Tabela : TIPOPAGTO                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 26/02/2006 - ARNALDO COUTINHO BRITO JNIOR                                 */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATUTP_TIPOPAGTO' and
            type = 'TR'                      and
            u.uid = o.uid           	     and
            u.name = USER)
   DROP TRIGGER DTULTATUTP_TIPOPAGTO
GO

CREATE TRIGGER DTULTATUTP_TIPOPAGTO
ON TIPOPAGTO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'TIPOPAGTO', null, 'CDTIPOPAGTO=' + CDTIPOPAGTO + ';',                               GETDATE() FROM DELETED)

   END
   ELSE BEGIN
      UPDATE TIPOPAGTO
      SET DTULTATUTPPG = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(TIPOPAGTO.CDTIPOPAGTO,0  ) = ISNULL(INSERTED.CDTIPOPAGTO,0)) AND                          (ISNULL(TIPOPAGTO.NMTIPOPAGTO,0) = ISNULL(INSERTED.NMTIPOPAGTO,0  )) AND
            (ISNULL(TIPOPAGTO.IDTIPOPAGTO,0) = ISNULL(INSERTED.IDTIPOPAGTO,0 ));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATUTP_TIPOPAGTO','4.11.072';
GO

